libzypp 17.37.10

zyppng::worker::AttachError Struct Reference

`#include <zypp-media/ng/worker/devicedriver.h>`

## Public Member Functions
| AttachError (const MessageCodes code, const std::string &reason, const bool transient, const HeaderValueMap &extra={})
| AttachError (const MessageCodes code, const bool transient, const zypp::Exception &e)

## Public Attributes
MessageCodes | _code
std::string | _reason
bool | _transient
HeaderValueMap | _extra

## Detailed Description

Definition at line 45 of file devicedriver.h.

## Constructor & Destructor Documentation

## ◆ AttachError() [1/2]

zyppng::worker::AttachError::AttachError | ( | const MessageCodes | code,
|  | const std::string & | reason,
|  | const bool | transient,
|  | const HeaderValueMap & | extra = {} )

Definition at line 361 of file devicedriver.cc.

## ◆ AttachError() [2/2]

zyppng::worker::AttachError::AttachError | ( | const MessageCodes | code,
|  | const bool | transient,
|  | const zypp::Exception & | e )

Definition at line 370 of file devicedriver.cc.

## Member Data Documentation

## ◆ _code

MessageCodes zyppng::worker::AttachError::_code

Definition at line 50 of file devicedriver.h.

## ◆ _reason

std::string zyppng::worker::AttachError::_reason

Definition at line 51 of file devicedriver.h.

## ◆ _transient

bool zyppng::worker::AttachError::_transient

Definition at line 52 of file devicedriver.h.

## ◆ _extra

HeaderValueMap zyppng::worker::AttachError::_extra

Definition at line 53 of file devicedriver.h.

The documentation for this struct was generated from the following files:

- zypp-media/ng/worker/devicedriver.h
- zypp-media/ng/worker/devicedriver.cc